﻿namespace UltraScheduleLocalisation
{
    using System.Globalization;
    using System.Windows.Forms;
    using Infragistics.Win.UltraWinSchedule;

    public partial class Form1 : Form
    {
        private CultureInfo fr = new CultureInfo("fr-FR");

        public Form1()
        {
            this.InitializeComponent();
            this.Load += Form1_Load;
            this.ultraTimelineView1.ColumnHeaderInitializing += UltraTimelineView1_ColumnHeaderInitializing;

        }

        private void Form1_Load(object sender, System.EventArgs e)
        {
            this.ultraDayView1.CalendarInfo = this.ultraCalendarInfo1;
            this.ultraMonthViewSingle1.CalendarInfo = this.ultraCalendarInfo1;
            this.ultraTimelineView1.CalendarInfo = this.ultraCalendarInfo1;

            this.ultraTimelineView1.PrimaryInterval = new DateInterval(1, DateIntervalUnits.Days);

            this.SetupDaysOfWeek();
            this.SetupMonthsOfYear();
        }

        private void UltraTimelineView1_ColumnHeaderInitializing(object sender, ColumnHeaderInitializingEventArgs e)
        {
            e.Text = e.DateTimeRange.StartDateTime.ToString("dddd, MMMM d, yyyy", this.fr);
        }

        private void SetupDaysOfWeek()
        {
            this.ultraCalendarInfo1.DaysOfWeek[DayOfWeekEnum.Monday].LongDescription = "lundi";
            this.ultraCalendarInfo1.DaysOfWeek[DayOfWeekEnum.Monday].ShortDescription = "lun";
            this.ultraCalendarInfo1.DaysOfWeek[DayOfWeekEnum.Tuesday].LongDescription = "mardi";
            this.ultraCalendarInfo1.DaysOfWeek[DayOfWeekEnum.Tuesday].ShortDescription = "mar";
            this.ultraCalendarInfo1.DaysOfWeek[DayOfWeekEnum.Wednesday].LongDescription = "mercredi";
            this.ultraCalendarInfo1.DaysOfWeek[DayOfWeekEnum.Wednesday].ShortDescription = "mer";
            this.ultraCalendarInfo1.DaysOfWeek[DayOfWeekEnum.Thursday].LongDescription = "jeudi";
            this.ultraCalendarInfo1.DaysOfWeek[DayOfWeekEnum.Thursday].ShortDescription = "jeu";
            this.ultraCalendarInfo1.DaysOfWeek[DayOfWeekEnum.Friday].LongDescription = "vendredi";
            this.ultraCalendarInfo1.DaysOfWeek[DayOfWeekEnum.Friday].ShortDescription = "ven";
            this.ultraCalendarInfo1.DaysOfWeek[DayOfWeekEnum.Saturday].LongDescription = "samedi";
            this.ultraCalendarInfo1.DaysOfWeek[DayOfWeekEnum.Saturday].ShortDescription = "sam";
            this.ultraCalendarInfo1.DaysOfWeek[DayOfWeekEnum.Sunday].LongDescription = "dimanche";
            this.ultraCalendarInfo1.DaysOfWeek[DayOfWeekEnum.Sunday].ShortDescription = "dim";
        }

        private void SetupMonthsOfYear()
        {
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.January].LongDescription = "janvier";
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.January].ShortDescription = "jan";
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.February].LongDescription = "février";
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.February].ShortDescription = "fév";
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.March].LongDescription = "mars";
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.March].ShortDescription = "mar";
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.April].LongDescription = "avril";
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.April].ShortDescription = "avr";
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.May].LongDescription = "mai";
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.May].ShortDescription = "mai";
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.June].LongDescription = "juin";
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.June].ShortDescription = "jun";
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.July].LongDescription = "juillet";
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.July].ShortDescription = "jul";
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.August].LongDescription = "août";
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.August].ShortDescription = "aoû";
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.September].LongDescription = "septembre";
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.September].ShortDescription = "sep";
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.October].LongDescription = "octobre";
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.October].ShortDescription = "oct";
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.November].LongDescription = "novembre";
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.November].ShortDescription = "nov";
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.December].LongDescription = "décembre";
            this.ultraCalendarInfo1.MonthsOfYear[YearMonthEnum.December].ShortDescription = "déc";
        }
    }
}
